#!/usr/bin/env python3
# -*- coding: utf-8 -*-

""" easypipe configuration file: the only file where something have to be modified"""

import os


"""easyget: information for sftp connexion"""
# ESRF:
ESRF_SERVER = "firewall.esrf.fr"  # 160.103.209.211
ESRF_PORT = 5022
ESRF_BEAMLINES = ['id23eh1', 'id23eh2', 'id29', 'id30a1', 'id30a3', 'id30b']
# path before /login/beam/acronym/beamline/date/...
# Ex :/data/visitor/mx1896/id29/20170922/PROCESSED_DATA/erk2
ESRF_PATH = "/data/visitor/"

# ALBA:
#ALBA_server = "userdata.cells.es"
#ALBA_port = 443


"""Software used by modules"""
# Linux
if os.name == 'posix':
    PHENIX_PATH = "/PROG/LINUX/prog/phenix/phenix-1.19.1-4122/"
    #POINTLESS_EXEC = "/PROG/LINUX/prog/ccp4-7/ccp4-7.0/bin/pointless"
    POINTLESS_EXEC = "/PROG/LINUX/prog/ccp4-7.1/ccp4-7.1/bin/pointless"
    BABEL_PATH = "/PROG/LINUX/prog/OPENBABEL/openbabel-2-4-1/build/bin/"
# Windows
elif os.name == 'nt':
    PHENIX_PATH = r"C:\Users\gelinm\Phenix\phenix-installer-1.19.1-4122-intel-windows-x86_64"
    POINTLESS_EXEC = r"C:\CCP4-7\7.1\bin\pointless.exe"
    BABEL_PATH = r"C:\Program Files\OpenBabel-3.1.1"


"""Limits for poor data"""
compl_min = 70		# minimum completeness to process in 'full' or 'allsg'
reso_min = 3.75		# minimum resolution to process in 'full' or 'allsg'


"""For verbose and log files"""
nb_motifs = 80
motif = '~'
sub_motif = '-'

